<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Factory;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\DTO\ReferralDTO;
use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\ReferralModelInterface;

interface ReferralFactoryInterface
{
    public function createReferral(ReferralDTO $referralDTO): ReferralModelInterface;
}
